#include "stm32f10x.h"
#include "sys.c"
#include "io.c"
#include "i3202lcd.c"
#include "graphic.c"

void lcd_clear(void)
{                  
  unsigned int n,m;
  
  LcdSetWindow(0,0,320,240);
  LcdDataStart();
  for(n=0;n<320;n++)
   {  for(m=0;m<240;m++) { LcdDataWrite(0xffff); }
   }
  LcdDataEnd();
}

int main(void)
{
  signed int x1,y1,x2,y2; 
  signed int x1_v,y1_v,x2_v,y2_v;

  signed int old_x1=0,old_y1=0,old_x2=0,old_y2=0; 
  
  unsigned int color=0;
  
  gpio_init();
  rcc_init();  
  uart_init1();

  mdelay(1000);  // wait for flash loader communication...
  put_string1("\n Graphic");
  
  LcdInit();                
  LcdBl_H;  

  LcdSetDirection(90);
  lcd_clear();
  
  x1=rand()%320;
  x2=rand()%320;  
  y1=rand()%240;  
  y2=rand()%240;  
  
  x1_v=(rand()%5)+1;
  x2_v=(rand()%5)+1;
  y1_v=(rand()%5)+1;
  y2_v=(rand()%5)+1;

  while(1)
  {  
     color=rand()%0x10000;
//     line(old_x1,old_y1,old_x2,old_y2,0xffff);
     line(x1,y1,x2,y2,color);
     mdelay(5);
     old_x1=x1;
     old_y1=y1;
     old_x2=x2;
     old_y2=y2;
     
     x1=x1+x1_v;
     y1=y1+y1_v;
     x2=x2+x2_v;
     y2=y2+y2_v;
     
     if(x1<0)
     {   x1_v=(rand()%5)+1;
         x1=0;
     }
     if(x1>319)
     {   x1_v=((rand()%5)+1)*(-1);
         x1=319;
     }
     
     if(y1<0)
     {   y1_v=(rand()%5)+1;
         y1=0;
     }
     if(y1>239)
     {   y1_v=((rand()%5)+1)*(-1);
         y1=239;
     }     
     
     

     if(x2<0)
     {   x2_v=(rand()%5)+1;
         x2=0;
     }
     if(x2>319)
     {   x2_v=((rand()%5)+1)*(-1);
         x2=319;
     }
     
     if(y2<0)
     {   y2_v=(rand()%5)+1;
         y2=0;
     }
     if(y2>239)
     {   y2_v=((rand()%5)+1)*(-1);
         y2=239;
     }     
     
     
  }                                  
}  